<?php
/*
Plugin Name: Exclusive Content Shortcode
Plugin URI: https://wpza.net/how-to-remove-all-updates-core-plugins-themes-in-wordpress/
Description: WPZA Exclusive Content Shortcode provides your website with a shortcode to hide content unless the user is logged in.
Version: 1.0.0
Author: WPZA
Author URI: https://www.wpza.net/
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/
defined( 'ABSPATH' ) or die();

/* Function For Exclusive Content */
if( ! function_exists( 'wpza_ec__shortcode' ) ) {
	function wpza_ec__shortcode( $atts, $content ) {
    	$output = '';
	    if ( is_user_logged_in() ) {
	    	$output = '<p>';
	    	$output .= $content;
	    	$output .= '</p>';
	    } else {
	    	if ( get_option( 'wpza_ec__shortcode_output' ) && get_option( 'wpza_ec__shortcode_output' ) != 'hide' ) {
	        	$output .= '<div class="exclusive-content">';
        		$output .= '<p>' . get_option( 'wpza_ec__shortcode_output' ) . '</p>';
	        	$output .= '</div>';
	        }
	    }
        return $output;
	}
    add_shortcode( 'exclusive-content', 'wpza_ec__shortcode' );
}