<?php
/*
Plugin Name: Exclusive Content Shortcode
Plugin URI: https://wpza.net/how-to-remove-all-updates-core-plugins-themes-in-wordpress/
Description: WPZA Exclusive Content Shortcode provides your website with a shortcode to hide content unless the user is logged in.
Version: 1.0.0
Author: WPZA
Author URI: https://www.wpza.net/
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/
defined( 'ABSPATH' ) or die();

if( ! class_exists( 'wpza_ec' ) ) {
	final class wpza_ec {
		public function __construct() {
			$this->wpza_ec__define_constants();
			$this->wpza_ec__includes();
		}

		private function wpza_ec__define_constants() {
			define( 'wpza_ec__directory', __DIR__ );
			define( 'wpza_ec__full_name', 'Exclusive Content Shortcode' );
			define( 'wpza_ec__short_name', 'Exclusive Content' );
		}

		private function wpza_ec__includes() {
			$dir = scandir( wpza_ec__directory . '/includes' );
			if( $dir ) {
				foreach( $dir as $module ) {
					$path = wpza_ec__directory . '/includes';
					if( $path && substr( $module, 0, 1 ) !== '.' ) {
						$file = '/' . $module;
						if( is_readable( $path . $file ) ) {
							include_once( $path . $file );
						}
					}
				}
			}
		}
	}
}

new wpza_ec();